Bug 141949 - Web Inspector: Right/Left arrow no longer works in console to expand/collapse ObjectTrees
Summary: Web Inspector: Right/Left arrow no longer works in console to expand/collapse...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Joseph Pecoraro
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-02-23 19:48 PST by Joseph Pecoraro
Modified: 2015-06-24 08:33 PDT (History)
8 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (8.26 KB, patch)
2015-06-23 18:02 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2015-02-23 19:48:51 PST
* SUMMARY
Right/Left arrow no longer works in console to expand/collapse ObjectTrees.

* NOTES
UserInterface/Views/LogContentView.js _leftArrowWasPressed/_rightArrowWasPressed are reaching into the DOM to get "Sections" instead of using model objects.

    // FIXME: This no longer works with ObjectTrees. This should be smarter and not reach into the DOM.
    var outlineSection = currentMessage.querySelector(".console-formatted-object > .section");
    if (outlineSection)
        outlineSection._section.collapse();

Ideally this would go through ConsoleMessage -> if ObjectTree -> expand/collapse
Comment 1 Radar WebKit Bug Importer 2015-02-23 19:49:16 PST
<rdar://problem/19933075>
Comment 2 Joseph Pecoraro 2015-06-23 18:02:03 PDT
Created attachment 255460 [details]
[PATCH] Proposed Fix
Comment 3 WebKit Commit Bot 2015-06-24 08:33:22 PDT
Comment on attachment 255460 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 255460

Committed r185911: <http://trac.webkit.org/changeset/185911>
Comment 4 WebKit Commit Bot 2015-06-24 08:33:24 PDT
All reviewed patches have been landed.  Closing bug.